$aeDarkening: #bdb9b5;
$aeCellBorder: #d3d2d1;
$aeHeaderBorder: #898179;

$aeHeader: #c1bbb3;
$aeHover: #c3beb7;
$aeAltRow: #d1ccc6;

.pf1.actor.sheet {
	.tab.lil-details-content[data-tab='lil-details'] {
		.active-effects {
			list-style: none;
			display: grid;
			grid-template-columns: 26px 1fr 26px minmax(8em, min-content) minmax(
					4em,
					min-content
				);
			grid-template-rows: min-content;
			row-gap: 3px;

			.span-all {
				grid-column: 1/-1;
			}

			margin: 0;
			padding: 0;
			max-height: 200px;
			overflow: hidden scroll;
			scrollbar-width: auto;
			scrollbar-color: var(--pf1-scrollbar-handle, darkred)
				var(--pf1-scrollbar-background, transparent);

			align-items: center;

			li {
				display: contents;

				&:nth-child(2n + 1) {
					> span {
						background-color: $aeAltRow;
					}
				}

				&.header > span {
					text-align: left;
					background-color: $aeHeader;
					border-bottom: 1px solid $aeHeaderBorder;

					&:first-child {
						border-top-left-radius: 5px;
					}

					&:last-child {
						border-top-right-radius: 5px;
					}
				}

				> span {
					&:not(.image) {
						padding: 0.1em 0.3em;
					}

					display: inline-flex;
					align-items: center;
					height: 100%;
					line-height: 1.5;

					&.image {
						min-width: 24px;
					}

					> img {
						width: 24px;
						height: 24px;
					}
				}

				> .name {
					white-space: nowrap;
				}

				> :is(.name, .origin, .image, .duration) {
					border-right: 1px solid $aeCellBorder;
				}

				img {
					pointer-events: none;
				}

				&:hover {
					&:not(.header) {
						> span {
							background-color: $aeHover;
						}
					}
				}
			}
		}
	}
}
